/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 

#define CSSED_WINDOW(n) (Tcssed_window*) n

typedef struct _cssed_window_dynamic_menu_items {
	GtkWidget *menu_item_line_numbers;
	GtkWidget *menu_item_endings;
	GtkWidget *menu_item_white_spaces;
	GtkWidget *menu_item_lines_wrapped;
	GtkWidget *menu_item_eol_mode_cr;
	GtkWidget *menu_item_eol_mode_lf;
	GtkWidget *menu_item_eol_mode_crlf;
	GtkWidget *menu_item_autocompletion;
} Tcssed_dyn_menus;


typedef struct _cssed_window {
	GtkWidget* notebook_docs;				// the documents notebook
	GtkWidget* notebook_utils;  			// the output and scratch pad notebook
	GtkWidget* tree_view_css_properties;	// the tree with CSS def from XML parsing
	GtkWidget* tree_view_css_current;		// The current selector properties
	GtkListStore* output_store;				// the program output will be stored here
	GtkListStore* css_store;				// When a selector is scaned, it's props & values will be stored here
	Tcssed_dyn_menus* dynamic_menus;		// the dinamic view menu, must change in a document basis
	GList* document_list;					// the document list
	gchar* keywords_list;					// a space separated string will all def keywords from XML parsing
} Tcssed_window;
